


use WebService::GitHub::Role;

class WebService::GitHub::Git::Blobs  {
    also does WebService::GitHub::Role;
    method create-blob(Str $owner, Str $repo, Str :$content!, Str :$encoding) {
        my %data;
        %data<encoding> = $encoding if defined $encoding;
        %data<content> = $content;
        self.request("/repos/$owner/$repo/git/blobs","POST", :%data)
    }

    method get-blob(Str $owner, Str $repo, Str $file-sha) {
        self.request("/repos/$owner/$repo/git/blobs/$file-sha","GET")
    }

}

