

use Subset::Helper;
use WebService::GitHub::Role;
subset WebService::GitHub::Markdown::RenderMode of Str where subset-is * eq 'markdown'|'gfm', 'WebService::GitHub::Markdown::RenderMode must be either "markdown" or "gfm"';


class WebService::GitHub::Markdown  {
    also does WebService::GitHub::Role;
    method render(Str :$text!, Str :$context, WebService::GitHub::Markdown::RenderMode :$mode) {
        my %data;
        %data<context> = $context if defined $context;
        %data<text> = $text;
        %data<mode> = $mode if defined $mode;
        self.request("/markdown","POST", :%data)
    }

    method render-raw() {
        self.request("/markdown/raw","POST")
    }

}

