


use WebService::GitHub::Role;

class WebService::GitHub::Repos::Merging  {
    also does WebService::GitHub::Role;
    method merge(Str $owner, Str $repo, Str :$base!, Str :$head!, Str :$commit-message) {
        my %data;
        %data<commit_message> = $commit-message if defined $commit-message;
        %data<base> = $base;
        %data<head> = $head;
        self.request("/repos/$owner/$repo/merges","POST", :%data)
    }

}

