


use WebService::GitHub::Role;

class WebService::GitHub::Repos::Statistics  {
    also does WebService::GitHub::Role;
    method get-code-frequency-stats(Str $owner, Str $repo) {
        self.request("/repos/$owner/$repo/stats/code_frequency","GET")
    }

    method get-commit-activity-stats(Str $owner, Str $repo) {
        self.request("/repos/$owner/$repo/stats/commit_activity","GET")
    }

    method get-contributors-stats(Str $owner, Str $repo) {
        self.request("/repos/$owner/$repo/stats/contributors","GET")
    }

    method get-participation-stats(Str $owner, Str $repo) {
        self.request("/repos/$owner/$repo/stats/participation","GET")
    }

    method get-punch-card-stats(Str $owner, Str $repo) {
        self.request("/repos/$owner/$repo/stats/punch_card","GET")
    }

}

