


use WebService::GitHub::Role;

class WebService::GitHub::Apps::Webhooks  {
    also does WebService::GitHub::Role;
    method get-webhook-config-for-app() {
        self.request("/app/hook/config","GET")
    }

    method update-webhook-config-for-app(Str :$url, Str :$content-type, Str :$secret, Str :$insecure-ssl) {
        my %data;
        %data<url> = $url if defined $url;
        %data<content_type> = $content-type if defined $content-type;
        %data<secret> = $secret if defined $secret;
        %data<insecure_ssl> = $insecure-ssl if defined $insecure-ssl;
        self.request("/app/hook/config","PATCH", :%data)
    }

}

