


use WebService::GitHub::Role;

class WebService::GitHub::Billing  {
    also does WebService::GitHub::Role;
    method get-github-actions-billing-org(Str $org) {
        self.request("/orgs/$org/settings/billing/actions","GET")
    }

    method get-github-actions-billing-user(Str $username) {
        self.request("/users/$username/settings/billing/actions","GET")
    }

    method get-github-packages-billing-org(Str $org) {
        self.request("/orgs/$org/settings/billing/packages","GET")
    }

    method get-github-packages-billing-user(Str $username) {
        self.request("/users/$username/settings/billing/packages","GET")
    }

    method get-shared-storage-billing-org(Str $org) {
        self.request("/orgs/$org/settings/billing/shared-storage","GET")
    }

    method get-shared-storage-billing-user(Str $username) {
        self.request("/users/$username/settings/billing/shared-storage","GET")
    }

}

