


use WebService::GitHub::Role;

class WebService::GitHub::CodesOfConduct  {
    also does WebService::GitHub::Role;
    method get-all-codes-of-conduct() {
        self.request("/codes_of_conduct","GET")
    }

    method get-conduct-code(Str $key) {
        self.request("/codes_of_conduct/$key","GET")
    }

    method get-for-repo(Str $owner, Str $repo) {
        self.request("/repos/$owner/$repo/community/code_of_conduct","GET")
    }

}

