


use WebService::GitHub::Role;

class WebService::GitHub::EnterpriseAdmin::Billing  {
    also does WebService::GitHub::Role;
    method get-github-actions-billing-ghe(Str $enterprise) {
        self.request("/enterprises/$enterprise/settings/billing/actions","GET")
    }

    method get-github-packages-billing-ghe(Str $enterprise) {
        self.request("/enterprises/$enterprise/settings/billing/packages","GET")
    }

    method get-shared-storage-billing-ghe(Str $enterprise) {
        self.request("/enterprises/$enterprise/settings/billing/shared-storage","GET")
    }

}

