


use WebService::GitHub::Role;

class WebService::GitHub::Git::Trees  {
    also does WebService::GitHub::Role;
    method create-tree(Str $owner, Str $repo, Positional :$tree!, Str :$base-tree) {
        my %data;
        %data<base_tree> = $base-tree if defined $base-tree;
        %data<tree> = $tree;
        self.request("/repos/$owner/$repo/git/trees","POST", :%data)
    }

    method get-tree(Str $owner, Str $repo, Str $tree-sha, Str :$recursive) {
        my %data;
        %data<recursive> = $recursive if defined $recursive;
        self.request("/repos/$owner/$repo/git/trees/$tree-sha","GET", :%data)
    }

}

