


use WebService::GitHub::Role;

class WebService::GitHub::Issues::Timeline  {
    also does WebService::GitHub::Role;
    method list-events-for-timeline(Str $owner, Str $repo, Int(Str) $issue-number, Int(Str) :$per-page, Int(Str) :$page) {
        my %data;
        %data<per_page> = $per-page if defined $per-page;
        %data<page> = $page if defined $page;
        self.request("/repos/$owner/$repo/issues/$issue-number/timeline","GET", :%data)
    }

}

