


use WebService::GitHub::Role;

class WebService::GitHub::Orgs::Blocking  {
    also does WebService::GitHub::Role;
    method block-user(Str $org, Str $username) {
        self.request("/orgs/$org/blocks/$username","PUT")
    }

    method check-blocked-user(Str $org, Str $username) {
        self.request("/orgs/$org/blocks/$username","GET")
    }

    method list-blocked-users(Str $org) {
        self.request("/orgs/$org/blocks","GET")
    }

    method unblock-user(Str $org, Str $username) {
        self.request("/orgs/$org/blocks/$username","DELETE")
    }

}

