

use Subset::Helper;
use WebService::GitHub::Role;
subset WebService::GitHub::Packages::DeletePackageForAuthenticatedUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::DeletePackageForAuthenticatedUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::DeletePackageForOrgPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::DeletePackageForOrgPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::DeletePackageVersionForAuthenticatedUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::DeletePackageVersionForAuthenticatedUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::DeletePackageVersionForOrgPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::DeletePackageVersionForOrgPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByAuthenticatedUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByAuthenticatedUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByAuthenticatedUserState of Str where subset-is * eq 'active'|'deleted', 'WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByAuthenticatedUserState must be either "active" or "deleted"';

subset WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByOrgPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByOrgPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByOrgState of Str where subset-is * eq 'active'|'deleted', 'WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByOrgState must be either "active" or "deleted"';

subset WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetPackageForAuthenticatedUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetPackageForAuthenticatedUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetPackageForOrganizationPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetPackageForOrganizationPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetPackageForUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetPackageForUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetPackageVersionForAuthenticatedUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetPackageVersionForAuthenticatedUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetPackageVersionForOrganizationPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetPackageVersionForOrganizationPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::GetPackageVersionForUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::GetPackageVersionForUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::RestorePackageForAuthenticatedUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::RestorePackageForAuthenticatedUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::RestorePackageForOrgPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::RestorePackageForOrgPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::RestorePackageVersionForAuthenticatedUserPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::RestorePackageVersionForAuthenticatedUserPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';

subset WebService::GitHub::Packages::RestorePackageVersionForOrgPackageType of Str where subset-is * eq 'npm'|'maven'|'rubygems'|'docker'|'nuget'|'container', 'WebService::GitHub::Packages::RestorePackageVersionForOrgPackageType must be either "npm", "maven", "rubygems", "docker", "nuget" or "container"';


class WebService::GitHub::Packages  {
    also does WebService::GitHub::Role;
    method delete-package-for-authenticated-user(WebService::GitHub::Packages::DeletePackageForAuthenticatedUserPackageType $package-type, Str $package-name) {
        self.request("/user/packages/$package-type/$package-name","DELETE")
    }

    method delete-package-for-org(WebService::GitHub::Packages::DeletePackageForOrgPackageType $package-type, Str $package-name, Str $org) {
        self.request("/orgs/$org/packages/$package-type/$package-name","DELETE")
    }

    method delete-package-version-for-authenticated-user(WebService::GitHub::Packages::DeletePackageVersionForAuthenticatedUserPackageType $package-type, Str $package-name, Int(Str) $package-version-id) {
        self.request("/user/packages/$package-type/$package-name/versions/$package-version-id","DELETE")
    }

    method delete-package-version-for-org(WebService::GitHub::Packages::DeletePackageVersionForOrgPackageType $package-type, Str $package-name, Str $org, Int(Str) $package-version-id) {
        self.request("/orgs/$org/packages/$package-type/$package-name/versions/$package-version-id","DELETE")
    }

    method get-all-package-versions-for-package-owned-by-authenticated-user(WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByAuthenticatedUserPackageType $package-type, Str $package-name, Int(Str) :$page, Int(Str) :$per-page, WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByAuthenticatedUserState :$state) {
        my %data;
        %data<page> = $page if defined $page;
        %data<per_page> = $per-page if defined $per-page;
        %data<state> = $state if defined $state;
        self.request("/user/packages/$package-type/$package-name/versions","GET", :%data)
    }

    method get-all-package-versions-for-package-owned-by-org(WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByOrgPackageType $package-type, Str $package-name, Str $org, Int(Str) :$page, Int(Str) :$per-page, WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByOrgState :$state) {
        my %data;
        %data<page> = $page if defined $page;
        %data<per_page> = $per-page if defined $per-page;
        %data<state> = $state if defined $state;
        self.request("/orgs/$org/packages/$package-type/$package-name/versions","GET", :%data)
    }

    method get-all-package-versions-for-package-owned-by-user(WebService::GitHub::Packages::GetAllPackageVersionsForPackageOwnedByUserPackageType $package-type, Str $package-name, Str $username) {
        self.request("/users/$username/packages/$package-type/$package-name/versions","GET")
    }

    method get-package-for-authenticated-user(WebService::GitHub::Packages::GetPackageForAuthenticatedUserPackageType $package-type, Str $package-name) {
        self.request("/user/packages/$package-type/$package-name","GET")
    }

    method get-package-for-organization(WebService::GitHub::Packages::GetPackageForOrganizationPackageType $package-type, Str $package-name, Str $org) {
        self.request("/orgs/$org/packages/$package-type/$package-name","GET")
    }

    method get-package-for-user(WebService::GitHub::Packages::GetPackageForUserPackageType $package-type, Str $package-name, Str $username) {
        self.request("/users/$username/packages/$package-type/$package-name","GET")
    }

    method get-package-version-for-authenticated-user(WebService::GitHub::Packages::GetPackageVersionForAuthenticatedUserPackageType $package-type, Str $package-name, Int(Str) $package-version-id) {
        self.request("/user/packages/$package-type/$package-name/versions/$package-version-id","GET")
    }

    method get-package-version-for-organization(WebService::GitHub::Packages::GetPackageVersionForOrganizationPackageType $package-type, Str $package-name, Str $org, Int(Str) $package-version-id) {
        self.request("/orgs/$org/packages/$package-type/$package-name/versions/$package-version-id","GET")
    }

    method get-package-version-for-user(WebService::GitHub::Packages::GetPackageVersionForUserPackageType $package-type, Str $package-name, Int(Str) $package-version-id, Str $username) {
        self.request("/users/$username/packages/$package-type/$package-name/versions/$package-version-id","GET")
    }

    method restore-package-for-authenticated-user(WebService::GitHub::Packages::RestorePackageForAuthenticatedUserPackageType $package-type, Str $package-name, Str :$token) {
        my %data;
        %data<token> = $token if defined $token;
        self.request("/user/packages/$package-type/$package-name/restore","POST", :%data)
    }

    method restore-package-for-org(WebService::GitHub::Packages::RestorePackageForOrgPackageType $package-type, Str $package-name, Str $org, Str :$token) {
        my %data;
        %data<token> = $token if defined $token;
        self.request("/orgs/$org/packages/$package-type/$package-name/restore","POST", :%data)
    }

    method restore-package-version-for-authenticated-user(WebService::GitHub::Packages::RestorePackageVersionForAuthenticatedUserPackageType $package-type, Str $package-name, Int(Str) $package-version-id) {
        self.request("/user/packages/$package-type/$package-name/versions/$package-version-id/restore","POST")
    }

    method restore-package-version-for-org(WebService::GitHub::Packages::RestorePackageVersionForOrgPackageType $package-type, Str $package-name, Str $org, Int(Str) $package-version-id) {
        self.request("/orgs/$org/packages/$package-type/$package-name/versions/$package-version-id/restore","POST")
    }

}

