


use WebService::GitHub::Role;

class WebService::GitHub::Users::Blocking  {
    also does WebService::GitHub::Role;
    method block(Str $username) {
        self.request("/user/blocks/$username","PUT")
    }

    method check-blocked(Str $username) {
        self.request("/user/blocks/$username","GET")
    }

    method list-blocked-by-authenticated() {
        self.request("/user/blocks","GET")
    }

    method unblock(Str $username) {
        self.request("/user/blocks/$username","DELETE")
    }

}

